إصدار ‏‎Graph API‎‏

Instagram Business Asset Agencies

قراءة

Returns the Businesses and Agencies that have permissions on the Instagram Business Asset

Requirements

  • The business_management permission for the business that owns the Instagram Business Asset

مثال

Graph API Explorer
GET /v25.0/{instagram-business-asset-id}/agencies HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{instagram-business-asset-id}/agencies',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{instagram-business-asset-id}/agencies",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{instagram-business-asset-id}/agencies",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{instagram-business-asset-id}/agencies"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
إذا كنت تريد التعرف على كيفية استخدام واجهة Graph API، يرجى قراءة ‏دليل استخدام واجهة Graph API‏.

المعلمات

لا تحتوي نقطة النهاية هذه على أي معلمات.

الحقول

ستؤدي القراءة من عنصر الربط هذا إلى نتيجة بتنسيق JSON:

{ "data": [], "paging": {} }

data

قائمة عُقد ‏‎Business‎‏.

paging

لمزيد من التفاصيل عن تقسيم الصفحات، يرجى الاطلاع على ‏دليل Graph API‏.

إنشاء

Giving an agency access to an Instagram business asset lets them work on tasks you assign to them, including using APIs to manage tasks. The Instagram business asset will remain in your portfolio.

‎You can make a POST request to agencies edge from the following paths:
‎When posting to this edge, no Graph object will be created.‎

المعلمات

معلمةالوصف
business
numeric string

The business ID of the agency that you want to assign to this Instagram Business Asset

مطلوب
permitted_tasks
array<enum {CONTENT, MESSAGES, COMMUNITY_ACTIVITY, ADVERTISE, ANALYZE}>

Tasks that you want to assign to the agency

مطلوب

‎Return Type‎

‎This endpoint supports ‎read-after-write‎ and will read the node to which you POSTed.‎
Struct {
success: bool,
}

‎Error Codes‎

خطأالوصف
100Invalid parameter

جارٍ التحديث

لا يمكنك تنفيذ هذه العملية في نقطة النهاية هذه.

جارٍ الحذف

‎You can dissociate a Business from an InstagramBusinessAsset by making a DELETE request to /{instagram_business_asset_id}/agencies.‎

المعلمات

معلمةالوصف
business
numeric string

The business ID of the agency that you want to revoke access for the Instagram Business Asset

مطلوب

‎Return Type‎

Struct {
success: bool,
}